Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.dbloader
Class DbUtils

    java.lang.Object
      org.jasig.portal.tools.dbloader.DbUtils

     class DbUtils

extends java.lang.Object

Utility class for centralizing various functions performed on the database.

Version:
  $Revision: 1.5 $
Author:
  Ken Weiner, kweiner@unicon.net, Mark Boyd

Constructor Summary
`DbUtils()`

Method Summary
`(package private) static void` | `createTable(Configuration config, java.lang.String createTableStatement)`
`(package private) static void` | `dropTable(Configuration config, java.lang.String dropTableStatement)`
`(package private) static int` | `getJavaSqlType(java.lang.String genericDataTypeName)`
`(package private) static java.lang.String` | `getLocalDataTypeName(Configuration config, java.lang.String genericDataTypeName)`
`(package private) static void` | `logDbInfo(Configuration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbUtils

    DbUtils()

Method Detail

### logDbInfo

    static void logDbInfo(Configuration config)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getLocalDataTypeName

    static java.lang.String getLocalDataTypeName(Configuration config,
                                                 java.lang.String genericDataTypeName)

### dropTable

    static void dropTable(Configuration config,
                          java.lang.String dropTableStatement)

### getJavaSqlType

    static int getJavaSqlType(java.lang.String genericDataTypeName)

### createTable

    static void createTable(Configuration config,
                            java.lang.String createTableStatement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD